%global packname  colorspace
%global rlibdir  %{_libdir}/R/library

# Not yet available.
%global with_suggests 0

Name:             R-%{packname}
Version:          1.3.2
Release:          2%{?dist}
Summary:          Color Space Manipulation

License:          BSD
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_1.3-2.tar.gz

# Here's the R view of the dependencies world:
# Depends:   R-methods
# Imports:   R-graphics, R-grDevices
# Suggests:  R-datasets, R-stats, R-utils, R-KernSmooth, R-MASS, R-kernlab, R-mvtnorm, R-vcd, R-dichromat, R-tcltk, R-shiny, R-shinyjs
# LinkingTo:
# Enhances:

Requires:         R-methods
Requires:         R-graphics
Requires:         R-grDevices
Suggests:         R-stats
Suggests:         R-utils
Suggests:         R-dichromat
Suggests:         R-tcltk
Suggests:         R-shiny
Suggests:         R-shinyjs
# Only used for example plots:
Recommends:       R-datasets

BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-methods
BuildRequires:    R-graphics
BuildRequires:    R-grDevices
%if %{with_suggests}
BuildRequires:    R-datasets
BuildRequires:    R-stats
BuildRequires:    R-utils
BuildRequires:    R-KernSmooth
BuildRequires:    R-MASS
BuildRequires:    R-kernlab
BuildRequires:    R-mvtnorm
BuildRequires:    R-vcd
BuildRequires:    R-dichromat
BuildRequires:    R-tcltk
BuildRequires:    R-shiny
BuildRequires:    R-shinyjs
%endif

%description
Carries out mapping between assorted color spaces including RGB, HSV, HLS,
CIEXYZ, CIELUV, HCL (polar CIELUV), CIELAB and polar CIELAB. Qualitative,
sequential, and diverging color palettes based on HCL colors are provided along
with an interactive palette picker (with either a Tcl/Tk or a shiny GUI).


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%if %{with_suggests}
%{_bindir}/R CMD check %{packname}
%else
_R_CHECK_FORCE_SUGGESTS_=0 %{_bindir}/R CMD check %{packname} --ignore-vignettes
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%doc %{rlibdir}/%{packname}/CITATION
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/hclwizard
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so


%changelog
* Wed May 16 2018 Tom Callaway <spot@fedoraproject.org> - 1.3.2-2
- rebuild for R 3.5.0

* Wed Apr 25 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.3.2-1
- initial package for Fedora
